LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

LabVIEW 8.2 and DAQmx9.3

Solved!
Go to solution

HI!

Is there any way to make LabVIEW8.2 work with NI-DAQmx9.3?

I want to work with an old programm on a new NI-USB 6351, which unlike the PCI-Version does not work with DAQmx9.1.1 but only with 9.3

The programm i want to use, was written in LabVIEW8.2.

 

Thanks,

Liz

0 Kudos
Message 1 of 4
(1,194 Views)

Is it maybe possible, to make the USB-6351 work with DAQmx9.1.1?

0 Kudos
Message 2 of 4
(1,185 Views)
Solution
Accepted by topic author Eliza8472

@Eliza8472 wrote:

HI!

Is there any way to make LabVIEW8.2 work with NI-DAQmx9.3?


No. DAQmx 9.3 does not support LabVIEW 8.2: http://digital.ni.com/public.nsf/allkb/B0D5630C0A50D5C6862578E800459248

 


Is it maybe possible, to make the USB-6351 work with DAQmx9.1.1?

The earliest version that you can use with that device is DAQmx 9.2.2. Unfortunately, that version of DAQmx also does not support LabVIEW 8.2.

 

It does not appear that you have many options. You can either upgrade LabVIEW, or use a different device. You said the program was written in LabVIEW 8.2. Is this the version you are actually using, or you just happen to need to use that old program? If you're using a newer version of LabVIEW why not just update the program to the new version of LabVIEW? It may not require any changes, and it may just need to be re-compiled in the new version of LabVIEW. Of course, that's just speculation since it depends on what the program actually does.

 

0 Kudos
Message 3 of 4
(1,172 Views)

I am aware that this specific driver version is not compatible with LabVIEW 8.2 and that later LabVIEWs only works with 9.2.x, i just thougth, that there maybe a work-around that i am not aware of, since the pci-version works with 9.1.1 and this does support LV8.2.

 

I tried to stick with 8.2 as long as possible, because all my colleagues are using it and so the program would be usable on more PCs, but what is not possible, can't be done, so now I switched to 8.6 and will need to rewrite the code a little, because my new card has a different trigger-technology.

 

Thanks for the help,

Liz

0 Kudos
Message 4 of 4
(1,159 Views)